# This file was generated by Rcpp::compileAttributes
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' Calculating distances between two sets of points
#'
#' Calculates pairwise distances between two sets of points.
#'
#' @param a matrix containing a set of coordinates.
#' @param b matrix containing another set of coordinates.
#'
#' @return A matrix with pairwise distances between the two sets of points.
#'
#' @examples
#' dists <- distances(example$traps, example$mask)
#'
#' @export
distances <- function(a, b) {
    .Call('admbsecr_distances', PACKAGE = 'admbsecr', a, b)
}

#' Calculating bearings between two sets of points
#'
#' Calculates the bearing from one set of points to another.
#'
#' @param a matrix containing a set of coordinates.
#' @param b matrix containing another set of coordinates.
#'
#' @return A matrix with bearings of the points in matrix b from the points in matrix a.
#'
#' @examples
#' bears <- bearings(example$traps, example$mask) 
#'
#' @export
bearings <- function(a, b) {
    .Call('admbsecr_bearings', PACKAGE = 'admbsecr', a, b)
}

make_toa_ssq <- function(capt, dists, sound_speed) {
    .Call('admbsecr_make_toa_ssq', PACKAGE = 'admbsecr', capt, dists, sound_speed)
}

find_local <- function(capt, dists, buffer) {
    .Call('admbsecr_find_local', PACKAGE = 'admbsecr', capt, dists, buffer)
}

